curl --request PUT \
--url https://developer.synq.io/api/alerts/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": {
"fqn": "<string>"
},
"name": "<string>",
"trigger": {
"parts": [
{
"parts": [
{
"identifierList": {
"identifiers": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
]
}
}
]
}
]
},
"targets": [
{
"email": {
"recipientEmails": [
"jsmith@example.com"
]
}
}
],
"settings": {
"issue": {
"ongoing": {
"disabled": {}
},
"severities": [],
"notifyUpstream": true,
"allowSqlTestAuditLink": true,
"grouping": {
"noGrouping": {}
}
}
}
}
'import requests
url = "https://developer.synq.io/api/alerts/v1"
payload = {
"identifier": { "fqn": "<string>" },
"name": "<string>",
"trigger": { "parts": [{ "parts": [{ "identifierList": { "identifiers": [{ "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} }] } }] }] },
"targets": [{ "email": { "recipientEmails": ["jsmith@example.com"] } }],
"settings": { "issue": {
"ongoing": { "disabled": {} },
"severities": [],
"notifyUpstream": True,
"allowSqlTestAuditLink": True,
"grouping": { "noGrouping": {} }
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: {fqn: '<string>'},
name: '<string>',
trigger: {
parts: [
{
parts: [
{
identifierList: {identifiers: [{airflowDag: {integrationId: '<string>', dagId: '<string>'}}]}
}
]
}
]
},
targets: [{email: {recipientEmails: ['jsmith@example.com']}}],
settings: {
issue: {
ongoing: {disabled: {}},
severities: [],
notifyUpstream: true,
allowSqlTestAuditLink: true,
grouping: {noGrouping: {}}
}
}
})
};
fetch('https://developer.synq.io/api/alerts/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert": {
"trigger": {
"parts": [
{
"parts": [
{
"identifierList": {
"identifiers": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
]
}
}
]
}
]
},
"settings": {
"issue": {
"ongoing": {
"disabled": {}
},
"severities": [],
"notifyUpstream": true,
"allowSqlTestAuditLink": true,
"grouping": {
"noGrouping": {}
}
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"fqn": "<string>",
"targets": [
{
"email": {
"recipientEmails": [
"jsmith@example.com"
]
}
}
],
"owner": {
"ownerPath": "<string>",
"ownershipId": "<string>"
},
"isDisabled": true
}
}Update
Update an existing alert configuration. The config can be identified by either ID or FQN.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
UpdateRequest updates an existing alert configuration. The config can be identified by either ID or FQN. update_request.webhook_incompatible_with_grouped_alerts // Webhook targets are not compatible with grouped alerts. Use the no_grouping strategy when sending alerts to webhook targets. update_request.webhook_incompatible_with_ongoing_alerts // Webhook targets are not compatible with ongoing alert strategies (stream or schedule). Use the disabled ongoing strategy when sending alerts to webhook targets.
Identifier for the config to update.
- fqn
- id
Show child attributes
Show child attributes
Human-readable name for the alert configuration.
1 - 255Query that defines which entities can trigger this alert.
Show child attributes
Show child attributes
Targets where alerts will be sent. Leave empty to keep existing targets.
AlertingTarget represents a destination where alert notifications will be sent. Each target type has its own specific configuration requirements.
- email
- ms_teams
- owner
- slack
- webhook
Show child attributes
Show child attributes
Additional settings for the specific alert type.
- issue
- schema_change
Show child attributes
Show child attributes
Response
Success
UpdateResponse returns the updated alert configuration.
The alert configuration that was updated.
Show child attributes
Show child attributes